//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.2.4-2 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2015.06.24 at 03:45:08 PM CEST 
//


package net.ihe.gazelle.tempmodel.distinguisher;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for CDAType.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <pre>
 * &lt;simpleType name="CDAType"&gt;
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string"&gt;
 *     &lt;enumeration value="POCDMT000040InfrastructureRootTypeId"/&gt;
 *     &lt;enumeration value="POCDMT000040RecordTarget"/&gt;
 *     &lt;enumeration value="POCDMT000040PatientRole"/&gt;
 *     &lt;enumeration value="POCDMT000040Patient"/&gt;
 *     &lt;enumeration value="POCDMT000040Guardian"/&gt;
 *     &lt;enumeration value="POCDMT000040Person"/&gt;
 *     &lt;enumeration value="POCDMT000040Organization"/&gt;
 *     &lt;enumeration value="POCDMT000040OrganizationPartOf"/&gt;
 *     &lt;enumeration value="POCDMT000040Birthplace"/&gt;
 *     &lt;enumeration value="POCDMT000040Place"/&gt;
 *     &lt;enumeration value="POCDMT000040LanguageCommunication"/&gt;
 *     &lt;enumeration value="POCDMT000040Author"/&gt;
 *     &lt;enumeration value="POCDMT000040AssignedAuthor"/&gt;
 *     &lt;enumeration value="POCDMT000040AuthoringDevice"/&gt;
 *     &lt;enumeration value="POCDMT000040MaintainedEntity"/&gt;
 *     &lt;enumeration value="POCDMT000040DataEnterer"/&gt;
 *     &lt;enumeration value="POCDMT000040AssignedEntity"/&gt;
 *     &lt;enumeration value="POCDMT000040Informant12"/&gt;
 *     &lt;enumeration value="POCDMT000040RelatedEntity"/&gt;
 *     &lt;enumeration value="POCDMT000040Custodian"/&gt;
 *     &lt;enumeration value="POCDMT000040AssignedCustodian"/&gt;
 *     &lt;enumeration value="POCDMT000040CustodianOrganization"/&gt;
 *     &lt;enumeration value="POCDMT000040InformationRecipient"/&gt;
 *     &lt;enumeration value="POCDMT000040IntendedRecipient"/&gt;
 *     &lt;enumeration value="POCDMT000040LegalAuthenticator"/&gt;
 *     &lt;enumeration value="POCDMT000040Authenticator"/&gt;
 *     &lt;enumeration value="POCDMT000040Participant1"/&gt;
 *     &lt;enumeration value="POCDMT000040AssociatedEntity"/&gt;
 *     &lt;enumeration value="POCDMT000040InFulfillmentOf"/&gt;
 *     &lt;enumeration value="POCDMT000040Order"/&gt;
 *     &lt;enumeration value="POCDMT000040DocumentationOf"/&gt;
 *     &lt;enumeration value="POCDMT000040ServiceEvent"/&gt;
 *     &lt;enumeration value="POCDMT000040Performer1"/&gt;
 *     &lt;enumeration value="POCDMT000040RelatedDocument"/&gt;
 *     &lt;enumeration value="POCDMT000040ParentDocument"/&gt;
 *     &lt;enumeration value="POCDMT000040ClinicalDocument"/&gt;
 *     &lt;enumeration value="POCDMT000040Authorization"/&gt;
 *     &lt;enumeration value="POCDMT000040Consent"/&gt;
 *     &lt;enumeration value="POCDMT000040Component1"/&gt;
 *     &lt;enumeration value="POCDMT000040EncompassingEncounter"/&gt;
 *     &lt;enumeration value="POCDMT000040ResponsibleParty"/&gt;
 *     &lt;enumeration value="POCDMT000040EncounterParticipant"/&gt;
 *     &lt;enumeration value="POCDMT000040Location"/&gt;
 *     &lt;enumeration value="POCDMT000040HealthCareFacility"/&gt;
 *     &lt;enumeration value="POCDMT000040Component2"/&gt;
 *     &lt;enumeration value="POCDMT000040NonXMLBody"/&gt;
 *     &lt;enumeration value="POCDMT000040StructuredBody"/&gt;
 *     &lt;enumeration value="POCDMT000040Component3"/&gt;
 *     &lt;enumeration value="POCDMT000040Section"/&gt;
 *     &lt;enumeration value="POCDMT000040Subject"/&gt;
 *     &lt;enumeration value="POCDMT000040RelatedSubject"/&gt;
 *     &lt;enumeration value="POCDMT000040SubjectPerson"/&gt;
 *     &lt;enumeration value="POCDMT000040Entry"/&gt;
 *     &lt;enumeration value="POCDMT000040Act"/&gt;
 *     &lt;enumeration value="POCDMT000040Specimen"/&gt;
 *     &lt;enumeration value="POCDMT000040SpecimenRole"/&gt;
 *     &lt;enumeration value="POCDMT000040PlayingEntity"/&gt;
 *     &lt;enumeration value="POCDMT000040Performer2"/&gt;
 *     &lt;enumeration value="POCDMT000040Participant2"/&gt;
 *     &lt;enumeration value="POCDMT000040ParticipantRole"/&gt;
 *     &lt;enumeration value="POCDMT000040Device"/&gt;
 *     &lt;enumeration value="POCDMT000040Entity"/&gt;
 *     &lt;enumeration value="POCDMT000040EntryRelationship"/&gt;
 *     &lt;enumeration value="POCDMT000040Encounter"/&gt;
 *     &lt;enumeration value="POCDMT000040Reference"/&gt;
 *     &lt;enumeration value="POCDMT000040ExternalAct"/&gt;
 *     &lt;enumeration value="POCDMT000040ExternalObservation"/&gt;
 *     &lt;enumeration value="POCDMT000040ExternalProcedure"/&gt;
 *     &lt;enumeration value="POCDMT000040ExternalDocument"/&gt;
 *     &lt;enumeration value="POCDMT000040Precondition"/&gt;
 *     &lt;enumeration value="POCDMT000040Criterion"/&gt;
 *     &lt;enumeration value="POCDMT000040Observation"/&gt;
 *     &lt;enumeration value="POCDMT000040ReferenceRange"/&gt;
 *     &lt;enumeration value="POCDMT000040ObservationRange"/&gt;
 *     &lt;enumeration value="POCDMT000040ObservationMedia"/&gt;
 *     &lt;enumeration value="POCDMT000040Organizer"/&gt;
 *     &lt;enumeration value="POCDMT000040Component4"/&gt;
 *     &lt;enumeration value="POCDMT000040Procedure"/&gt;
 *     &lt;enumeration value="POCDMT000040RegionOfInterest"/&gt;
 *     &lt;enumeration value="POCDMT000040RegionOfInterestValue"/&gt;
 *     &lt;enumeration value="POCDMT000040SubstanceAdministration"/&gt;
 *     &lt;enumeration value="POCDMT000040Consumable"/&gt;
 *     &lt;enumeration value="POCDMT000040ManufacturedProduct"/&gt;
 *     &lt;enumeration value="POCDMT000040LabeledDrug"/&gt;
 *     &lt;enumeration value="POCDMT000040Material"/&gt;
 *     &lt;enumeration value="POCDMT000040Supply"/&gt;
 *     &lt;enumeration value="POCDMT000040Product"/&gt;
 *     &lt;enumeration value="POCDMT000040Component5"/&gt;
 *     &lt;enumeration value="AD"/&gt;
 *     &lt;enumeration value="ANY"/&gt;
 *     &lt;enumeration value="AdxpDelimiter"/&gt;
 *     &lt;enumeration value="ADXP"/&gt;
 *     &lt;enumeration value="ST"/&gt;
 *     &lt;enumeration value="ED"/&gt;
 *     &lt;enumeration value="BIN"/&gt;
 *     &lt;enumeration value="TEL"/&gt;
 *     &lt;enumeration value="URL"/&gt;
 *     &lt;enumeration value="SXCMTS"/&gt;
 *     &lt;enumeration value="TS"/&gt;
 *     &lt;enumeration value="QTY"/&gt;
 *     &lt;enumeration value="Thumbnail"/&gt;
 *     &lt;enumeration value="AdxpCountry"/&gt;
 *     &lt;enumeration value="AdxpState"/&gt;
 *     &lt;enumeration value="AdxpCounty"/&gt;
 *     &lt;enumeration value="AdxpCity"/&gt;
 *     &lt;enumeration value="AdxpPostalCode"/&gt;
 *     &lt;enumeration value="AdxpStreetAddressLine"/&gt;
 *     &lt;enumeration value="AdxpHouseNumber"/&gt;
 *     &lt;enumeration value="AdxpHouseNumberNumeric"/&gt;
 *     &lt;enumeration value="AdxpDirection"/&gt;
 *     &lt;enumeration value="AdxpStreetName"/&gt;
 *     &lt;enumeration value="AdxpStreetNameBase"/&gt;
 *     &lt;enumeration value="AdxpStreetNameType"/&gt;
 *     &lt;enumeration value="AdxpAdditionalLocator"/&gt;
 *     &lt;enumeration value="AdxpUnitID"/&gt;
 *     &lt;enumeration value="AdxpUnitType"/&gt;
 *     &lt;enumeration value="AdxpCareOf"/&gt;
 *     &lt;enumeration value="AdxpCensusTract"/&gt;
 *     &lt;enumeration value="AdxpDeliveryAddressLine"/&gt;
 *     &lt;enumeration value="AdxpDeliveryInstallationType"/&gt;
 *     &lt;enumeration value="AdxpDeliveryInstallationArea"/&gt;
 *     &lt;enumeration value="AdxpDeliveryInstallationQualifier"/&gt;
 *     &lt;enumeration value="AdxpDeliveryMode"/&gt;
 *     &lt;enumeration value="AdxpDeliveryModeIdentifier"/&gt;
 *     &lt;enumeration value="AdxpBuildingNumberSuffix"/&gt;
 *     &lt;enumeration value="AdxpPostBox"/&gt;
 *     &lt;enumeration value="AdxpPrecinct"/&gt;
 *     &lt;enumeration value="ANYNonNull"/&gt;
 *     &lt;enumeration value="BL"/&gt;
 *     &lt;enumeration value="BN"/&gt;
 *     &lt;enumeration value="BXITCD"/&gt;
 *     &lt;enumeration value="CD"/&gt;
 *     &lt;enumeration value="CR"/&gt;
 *     &lt;enumeration value="CV"/&gt;
 *     &lt;enumeration value="CE"/&gt;
 *     &lt;enumeration value="BXITIVLPQ"/&gt;
 *     &lt;enumeration value="IVLPQ"/&gt;
 *     &lt;enumeration value="SXCMPQ"/&gt;
 *     &lt;enumeration value="PQ"/&gt;
 *     &lt;enumeration value="PQR"/&gt;
 *     &lt;enumeration value="IVXBPQ"/&gt;
 *     &lt;enumeration value="CO"/&gt;
 *     &lt;enumeration value="CS"/&gt;
 *     &lt;enumeration value="EIVLEvent"/&gt;
 *     &lt;enumeration value="EIVLPPDTS"/&gt;
 *     &lt;enumeration value="SXCMPPDTS"/&gt;
 *     &lt;enumeration value="PPDTS"/&gt;
 *     &lt;enumeration value="IVLPPDPQ"/&gt;
 *     &lt;enumeration value="SXCMPPDPQ"/&gt;
 *     &lt;enumeration value="PPDPQ"/&gt;
 *     &lt;enumeration value="IVXBPPDPQ"/&gt;
 *     &lt;enumeration value="EIVLTS"/&gt;
 *     &lt;enumeration value="EN"/&gt;
 *     &lt;enumeration value="EnDelimiter"/&gt;
 *     &lt;enumeration value="ENXP"/&gt;
 *     &lt;enumeration value="EnFamily"/&gt;
 *     &lt;enumeration value="EnGiven"/&gt;
 *     &lt;enumeration value="EnPrefix"/&gt;
 *     &lt;enumeration value="EnSuffix"/&gt;
 *     &lt;enumeration value="IVLTS"/&gt;
 *     &lt;enumeration value="IVXBTS"/&gt;
 *     &lt;enumeration value="GLISTPQ"/&gt;
 *     &lt;enumeration value="GLISTTS"/&gt;
 *     &lt;enumeration value="HXITCE"/&gt;
 *     &lt;enumeration value="HXITPQ"/&gt;
 *     &lt;enumeration value="II"/&gt;
 *     &lt;enumeration value="INT"/&gt;
 *     &lt;enumeration value="IVLINT"/&gt;
 *     &lt;enumeration value="SXCMINT"/&gt;
 *     &lt;enumeration value="IVXBINT"/&gt;
 *     &lt;enumeration value="IVLMO"/&gt;
 *     &lt;enumeration value="SXCMMO"/&gt;
 *     &lt;enumeration value="MO"/&gt;
 *     &lt;enumeration value="IVXBMO"/&gt;
 *     &lt;enumeration value="IVLPPDTS"/&gt;
 *     &lt;enumeration value="IVXBPPDTS"/&gt;
 *     &lt;enumeration value="IVLREAL"/&gt;
 *     &lt;enumeration value="SXCMREAL"/&gt;
 *     &lt;enumeration value="REAL"/&gt;
 *     &lt;enumeration value="IVXBREAL"/&gt;
 *     &lt;enumeration value="ON"/&gt;
 *     &lt;enumeration value="PIVLPPDTS"/&gt;
 *     &lt;enumeration value="PIVLTS"/&gt;
 *     &lt;enumeration value="PN"/&gt;
 *     &lt;enumeration value="RTO"/&gt;
 *     &lt;enumeration value="RTOQTYQTY"/&gt;
 *     &lt;enumeration value="RTOMOPQ"/&gt;
 *     &lt;enumeration value="RTOPQPQ"/&gt;
 *     &lt;enumeration value="SC"/&gt;
 *     &lt;enumeration value="SLISTPQ"/&gt;
 *     &lt;enumeration value="SLISTTS"/&gt;
 *     &lt;enumeration value="SXCMCD"/&gt;
 *     &lt;enumeration value="SXPRTS"/&gt;
 *     &lt;enumeration value="TN"/&gt;
 *     &lt;enumeration value="UVPTS"/&gt;
 *   &lt;/restriction&gt;
 * &lt;/simpleType&gt;
 * </pre>
 * 
 */
@XmlType(name = "CDAType")
@XmlEnum
public enum CDAType {

    @XmlEnumValue("POCDMT000040InfrastructureRootTypeId")
    POCDMT_000040_INFRASTRUCTURE_ROOT_TYPE_ID("POCDMT000040InfrastructureRootTypeId"),
    @XmlEnumValue("POCDMT000040RecordTarget")
    POCDMT_000040_RECORD_TARGET("POCDMT000040RecordTarget"),
    @XmlEnumValue("POCDMT000040PatientRole")
    POCDMT_000040_PATIENT_ROLE("POCDMT000040PatientRole"),
    @XmlEnumValue("POCDMT000040Patient")
    POCDMT_000040_PATIENT("POCDMT000040Patient"),
    @XmlEnumValue("POCDMT000040Guardian")
    POCDMT_000040_GUARDIAN("POCDMT000040Guardian"),
    @XmlEnumValue("POCDMT000040Person")
    POCDMT_000040_PERSON("POCDMT000040Person"),
    @XmlEnumValue("POCDMT000040Organization")
    POCDMT_000040_ORGANIZATION("POCDMT000040Organization"),
    @XmlEnumValue("POCDMT000040OrganizationPartOf")
    POCDMT_000040_ORGANIZATION_PART_OF("POCDMT000040OrganizationPartOf"),
    @XmlEnumValue("POCDMT000040Birthplace")
    POCDMT_000040_BIRTHPLACE("POCDMT000040Birthplace"),
    @XmlEnumValue("POCDMT000040Place")
    POCDMT_000040_PLACE("POCDMT000040Place"),
    @XmlEnumValue("POCDMT000040LanguageCommunication")
    POCDMT_000040_LANGUAGE_COMMUNICATION("POCDMT000040LanguageCommunication"),
    @XmlEnumValue("POCDMT000040Author")
    POCDMT_000040_AUTHOR("POCDMT000040Author"),
    @XmlEnumValue("POCDMT000040AssignedAuthor")
    POCDMT_000040_ASSIGNED_AUTHOR("POCDMT000040AssignedAuthor"),
    @XmlEnumValue("POCDMT000040AuthoringDevice")
    POCDMT_000040_AUTHORING_DEVICE("POCDMT000040AuthoringDevice"),
    @XmlEnumValue("POCDMT000040MaintainedEntity")
    POCDMT_000040_MAINTAINED_ENTITY("POCDMT000040MaintainedEntity"),
    @XmlEnumValue("POCDMT000040DataEnterer")
    POCDMT_000040_DATA_ENTERER("POCDMT000040DataEnterer"),
    @XmlEnumValue("POCDMT000040AssignedEntity")
    POCDMT_000040_ASSIGNED_ENTITY("POCDMT000040AssignedEntity"),
    @XmlEnumValue("POCDMT000040Informant12")
    POCDMT_000040_INFORMANT_12("POCDMT000040Informant12"),
    @XmlEnumValue("POCDMT000040RelatedEntity")
    POCDMT_000040_RELATED_ENTITY("POCDMT000040RelatedEntity"),
    @XmlEnumValue("POCDMT000040Custodian")
    POCDMT_000040_CUSTODIAN("POCDMT000040Custodian"),
    @XmlEnumValue("POCDMT000040AssignedCustodian")
    POCDMT_000040_ASSIGNED_CUSTODIAN("POCDMT000040AssignedCustodian"),
    @XmlEnumValue("POCDMT000040CustodianOrganization")
    POCDMT_000040_CUSTODIAN_ORGANIZATION("POCDMT000040CustodianOrganization"),
    @XmlEnumValue("POCDMT000040InformationRecipient")
    POCDMT_000040_INFORMATION_RECIPIENT("POCDMT000040InformationRecipient"),
    @XmlEnumValue("POCDMT000040IntendedRecipient")
    POCDMT_000040_INTENDED_RECIPIENT("POCDMT000040IntendedRecipient"),
    @XmlEnumValue("POCDMT000040LegalAuthenticator")
    POCDMT_000040_LEGAL_AUTHENTICATOR("POCDMT000040LegalAuthenticator"),
    @XmlEnumValue("POCDMT000040Authenticator")
    POCDMT_000040_AUTHENTICATOR("POCDMT000040Authenticator"),
    @XmlEnumValue("POCDMT000040Participant1")
    POCDMT_000040_PARTICIPANT_1("POCDMT000040Participant1"),
    @XmlEnumValue("POCDMT000040AssociatedEntity")
    POCDMT_000040_ASSOCIATED_ENTITY("POCDMT000040AssociatedEntity"),
    @XmlEnumValue("POCDMT000040InFulfillmentOf")
    POCDMT_000040_IN_FULFILLMENT_OF("POCDMT000040InFulfillmentOf"),
    @XmlEnumValue("POCDMT000040Order")
    POCDMT_000040_ORDER("POCDMT000040Order"),
    @XmlEnumValue("POCDMT000040DocumentationOf")
    POCDMT_000040_DOCUMENTATION_OF("POCDMT000040DocumentationOf"),
    @XmlEnumValue("POCDMT000040ServiceEvent")
    POCDMT_000040_SERVICE_EVENT("POCDMT000040ServiceEvent"),
    @XmlEnumValue("POCDMT000040Performer1")
    POCDMT_000040_PERFORMER_1("POCDMT000040Performer1"),
    @XmlEnumValue("POCDMT000040RelatedDocument")
    POCDMT_000040_RELATED_DOCUMENT("POCDMT000040RelatedDocument"),
    @XmlEnumValue("POCDMT000040ParentDocument")
    POCDMT_000040_PARENT_DOCUMENT("POCDMT000040ParentDocument"),
    @XmlEnumValue("POCDMT000040ClinicalDocument")
    POCDMT_000040_CLINICAL_DOCUMENT("POCDMT000040ClinicalDocument"),
    @XmlEnumValue("POCDMT000040Authorization")
    POCDMT_000040_AUTHORIZATION("POCDMT000040Authorization"),
    @XmlEnumValue("POCDMT000040Consent")
    POCDMT_000040_CONSENT("POCDMT000040Consent"),
    @XmlEnumValue("POCDMT000040Component1")
    POCDMT_000040_COMPONENT_1("POCDMT000040Component1"),
    @XmlEnumValue("POCDMT000040EncompassingEncounter")
    POCDMT_000040_ENCOMPASSING_ENCOUNTER("POCDMT000040EncompassingEncounter"),
    @XmlEnumValue("POCDMT000040ResponsibleParty")
    POCDMT_000040_RESPONSIBLE_PARTY("POCDMT000040ResponsibleParty"),
    @XmlEnumValue("POCDMT000040EncounterParticipant")
    POCDMT_000040_ENCOUNTER_PARTICIPANT("POCDMT000040EncounterParticipant"),
    @XmlEnumValue("POCDMT000040Location")
    POCDMT_000040_LOCATION("POCDMT000040Location"),
    @XmlEnumValue("POCDMT000040HealthCareFacility")
    POCDMT_000040_HEALTH_CARE_FACILITY("POCDMT000040HealthCareFacility"),
    @XmlEnumValue("POCDMT000040Component2")
    POCDMT_000040_COMPONENT_2("POCDMT000040Component2"),
    @XmlEnumValue("POCDMT000040NonXMLBody")
    POCDMT_000040_NON_XML_BODY("POCDMT000040NonXMLBody"),
    @XmlEnumValue("POCDMT000040StructuredBody")
    POCDMT_000040_STRUCTURED_BODY("POCDMT000040StructuredBody"),
    @XmlEnumValue("POCDMT000040Component3")
    POCDMT_000040_COMPONENT_3("POCDMT000040Component3"),
    @XmlEnumValue("POCDMT000040Section")
    POCDMT_000040_SECTION("POCDMT000040Section"),
    @XmlEnumValue("POCDMT000040Subject")
    POCDMT_000040_SUBJECT("POCDMT000040Subject"),
    @XmlEnumValue("POCDMT000040RelatedSubject")
    POCDMT_000040_RELATED_SUBJECT("POCDMT000040RelatedSubject"),
    @XmlEnumValue("POCDMT000040SubjectPerson")
    POCDMT_000040_SUBJECT_PERSON("POCDMT000040SubjectPerson"),
    @XmlEnumValue("POCDMT000040Entry")
    POCDMT_000040_ENTRY("POCDMT000040Entry"),
    @XmlEnumValue("POCDMT000040Act")
    POCDMT_000040_ACT("POCDMT000040Act"),
    @XmlEnumValue("POCDMT000040Specimen")
    POCDMT_000040_SPECIMEN("POCDMT000040Specimen"),
    @XmlEnumValue("POCDMT000040SpecimenRole")
    POCDMT_000040_SPECIMEN_ROLE("POCDMT000040SpecimenRole"),
    @XmlEnumValue("POCDMT000040PlayingEntity")
    POCDMT_000040_PLAYING_ENTITY("POCDMT000040PlayingEntity"),
    @XmlEnumValue("POCDMT000040Performer2")
    POCDMT_000040_PERFORMER_2("POCDMT000040Performer2"),
    @XmlEnumValue("POCDMT000040Participant2")
    POCDMT_000040_PARTICIPANT_2("POCDMT000040Participant2"),
    @XmlEnumValue("POCDMT000040ParticipantRole")
    POCDMT_000040_PARTICIPANT_ROLE("POCDMT000040ParticipantRole"),
    @XmlEnumValue("POCDMT000040Device")
    POCDMT_000040_DEVICE("POCDMT000040Device"),
    @XmlEnumValue("POCDMT000040Entity")
    POCDMT_000040_ENTITY("POCDMT000040Entity"),
    @XmlEnumValue("POCDMT000040EntryRelationship")
    POCDMT_000040_ENTRY_RELATIONSHIP("POCDMT000040EntryRelationship"),
    @XmlEnumValue("POCDMT000040Encounter")
    POCDMT_000040_ENCOUNTER("POCDMT000040Encounter"),
    @XmlEnumValue("POCDMT000040Reference")
    POCDMT_000040_REFERENCE("POCDMT000040Reference"),
    @XmlEnumValue("POCDMT000040ExternalAct")
    POCDMT_000040_EXTERNAL_ACT("POCDMT000040ExternalAct"),
    @XmlEnumValue("POCDMT000040ExternalObservation")
    POCDMT_000040_EXTERNAL_OBSERVATION("POCDMT000040ExternalObservation"),
    @XmlEnumValue("POCDMT000040ExternalProcedure")
    POCDMT_000040_EXTERNAL_PROCEDURE("POCDMT000040ExternalProcedure"),
    @XmlEnumValue("POCDMT000040ExternalDocument")
    POCDMT_000040_EXTERNAL_DOCUMENT("POCDMT000040ExternalDocument"),
    @XmlEnumValue("POCDMT000040Precondition")
    POCDMT_000040_PRECONDITION("POCDMT000040Precondition"),
    @XmlEnumValue("POCDMT000040Criterion")
    POCDMT_000040_CRITERION("POCDMT000040Criterion"),
    @XmlEnumValue("POCDMT000040Observation")
    POCDMT_000040_OBSERVATION("POCDMT000040Observation"),
    @XmlEnumValue("POCDMT000040ReferenceRange")
    POCDMT_000040_REFERENCE_RANGE("POCDMT000040ReferenceRange"),
    @XmlEnumValue("POCDMT000040ObservationRange")
    POCDMT_000040_OBSERVATION_RANGE("POCDMT000040ObservationRange"),
    @XmlEnumValue("POCDMT000040ObservationMedia")
    POCDMT_000040_OBSERVATION_MEDIA("POCDMT000040ObservationMedia"),
    @XmlEnumValue("POCDMT000040Organizer")
    POCDMT_000040_ORGANIZER("POCDMT000040Organizer"),
    @XmlEnumValue("POCDMT000040Component4")
    POCDMT_000040_COMPONENT_4("POCDMT000040Component4"),
    @XmlEnumValue("POCDMT000040Procedure")
    POCDMT_000040_PROCEDURE("POCDMT000040Procedure"),
    @XmlEnumValue("POCDMT000040RegionOfInterest")
    POCDMT_000040_REGION_OF_INTEREST("POCDMT000040RegionOfInterest"),
    @XmlEnumValue("POCDMT000040RegionOfInterestValue")
    POCDMT_000040_REGION_OF_INTEREST_VALUE("POCDMT000040RegionOfInterestValue"),
    @XmlEnumValue("POCDMT000040SubstanceAdministration")
    POCDMT_000040_SUBSTANCE_ADMINISTRATION("POCDMT000040SubstanceAdministration"),
    @XmlEnumValue("POCDMT000040Consumable")
    POCDMT_000040_CONSUMABLE("POCDMT000040Consumable"),
    @XmlEnumValue("POCDMT000040ManufacturedProduct")
    POCDMT_000040_MANUFACTURED_PRODUCT("POCDMT000040ManufacturedProduct"),
    @XmlEnumValue("POCDMT000040LabeledDrug")
    POCDMT_000040_LABELED_DRUG("POCDMT000040LabeledDrug"),
    @XmlEnumValue("POCDMT000040Material")
    POCDMT_000040_MATERIAL("POCDMT000040Material"),
    @XmlEnumValue("POCDMT000040Supply")
    POCDMT_000040_SUPPLY("POCDMT000040Supply"),
    @XmlEnumValue("POCDMT000040Product")
    POCDMT_000040_PRODUCT("POCDMT000040Product"),
    @XmlEnumValue("POCDMT000040Component5")
    POCDMT_000040_COMPONENT_5("POCDMT000040Component5"),
    AD("AD"),
    ANY("ANY"),
    @XmlEnumValue("AdxpDelimiter")
    ADXP_DELIMITER("AdxpDelimiter"),
    ADXP("ADXP"),
    ST("ST"),
    ED("ED"),
    BIN("BIN"),
    TEL("TEL"),
    URL("URL"),
    SXCMTS("SXCMTS"),
    TS("TS"),
    QTY("QTY"),
    @XmlEnumValue("Thumbnail")
    THUMBNAIL("Thumbnail"),
    @XmlEnumValue("AdxpCountry")
    ADXP_COUNTRY("AdxpCountry"),
    @XmlEnumValue("AdxpState")
    ADXP_STATE("AdxpState"),
    @XmlEnumValue("AdxpCounty")
    ADXP_COUNTY("AdxpCounty"),
    @XmlEnumValue("AdxpCity")
    ADXP_CITY("AdxpCity"),
    @XmlEnumValue("AdxpPostalCode")
    ADXP_POSTAL_CODE("AdxpPostalCode"),
    @XmlEnumValue("AdxpStreetAddressLine")
    ADXP_STREET_ADDRESS_LINE("AdxpStreetAddressLine"),
    @XmlEnumValue("AdxpHouseNumber")
    ADXP_HOUSE_NUMBER("AdxpHouseNumber"),
    @XmlEnumValue("AdxpHouseNumberNumeric")
    ADXP_HOUSE_NUMBER_NUMERIC("AdxpHouseNumberNumeric"),
    @XmlEnumValue("AdxpDirection")
    ADXP_DIRECTION("AdxpDirection"),
    @XmlEnumValue("AdxpStreetName")
    ADXP_STREET_NAME("AdxpStreetName"),
    @XmlEnumValue("AdxpStreetNameBase")
    ADXP_STREET_NAME_BASE("AdxpStreetNameBase"),
    @XmlEnumValue("AdxpStreetNameType")
    ADXP_STREET_NAME_TYPE("AdxpStreetNameType"),
    @XmlEnumValue("AdxpAdditionalLocator")
    ADXP_ADDITIONAL_LOCATOR("AdxpAdditionalLocator"),
    @XmlEnumValue("AdxpUnitID")
    ADXP_UNIT_ID("AdxpUnitID"),
    @XmlEnumValue("AdxpUnitType")
    ADXP_UNIT_TYPE("AdxpUnitType"),
    @XmlEnumValue("AdxpCareOf")
    ADXP_CARE_OF("AdxpCareOf"),
    @XmlEnumValue("AdxpCensusTract")
    ADXP_CENSUS_TRACT("AdxpCensusTract"),
    @XmlEnumValue("AdxpDeliveryAddressLine")
    ADXP_DELIVERY_ADDRESS_LINE("AdxpDeliveryAddressLine"),
    @XmlEnumValue("AdxpDeliveryInstallationType")
    ADXP_DELIVERY_INSTALLATION_TYPE("AdxpDeliveryInstallationType"),
    @XmlEnumValue("AdxpDeliveryInstallationArea")
    ADXP_DELIVERY_INSTALLATION_AREA("AdxpDeliveryInstallationArea"),
    @XmlEnumValue("AdxpDeliveryInstallationQualifier")
    ADXP_DELIVERY_INSTALLATION_QUALIFIER("AdxpDeliveryInstallationQualifier"),
    @XmlEnumValue("AdxpDeliveryMode")
    ADXP_DELIVERY_MODE("AdxpDeliveryMode"),
    @XmlEnumValue("AdxpDeliveryModeIdentifier")
    ADXP_DELIVERY_MODE_IDENTIFIER("AdxpDeliveryModeIdentifier"),
    @XmlEnumValue("AdxpBuildingNumberSuffix")
    ADXP_BUILDING_NUMBER_SUFFIX("AdxpBuildingNumberSuffix"),
    @XmlEnumValue("AdxpPostBox")
    ADXP_POST_BOX("AdxpPostBox"),
    @XmlEnumValue("AdxpPrecinct")
    ADXP_PRECINCT("AdxpPrecinct"),
    @XmlEnumValue("ANYNonNull")
    ANY_NON_NULL("ANYNonNull"),
    BL("BL"),
    BN("BN"),
    BXITCD("BXITCD"),
    CD("CD"),
    CR("CR"),
    CV("CV"),
    CE("CE"),
    BXITIVLPQ("BXITIVLPQ"),
    IVLPQ("IVLPQ"),
    SXCMPQ("SXCMPQ"),
    PQ("PQ"),
    PQR("PQR"),
    IVXBPQ("IVXBPQ"),
    CO("CO"),
    CS("CS"),
    @XmlEnumValue("EIVLEvent")
    EIVL_EVENT("EIVLEvent"),
    EIVLPPDTS("EIVLPPDTS"),
    SXCMPPDTS("SXCMPPDTS"),
    PPDTS("PPDTS"),
    IVLPPDPQ("IVLPPDPQ"),
    SXCMPPDPQ("SXCMPPDPQ"),
    PPDPQ("PPDPQ"),
    IVXBPPDPQ("IVXBPPDPQ"),
    EIVLTS("EIVLTS"),
    EN("EN"),
    @XmlEnumValue("EnDelimiter")
    EN_DELIMITER("EnDelimiter"),
    ENXP("ENXP"),
    @XmlEnumValue("EnFamily")
    EN_FAMILY("EnFamily"),
    @XmlEnumValue("EnGiven")
    EN_GIVEN("EnGiven"),
    @XmlEnumValue("EnPrefix")
    EN_PREFIX("EnPrefix"),
    @XmlEnumValue("EnSuffix")
    EN_SUFFIX("EnSuffix"),
    IVLTS("IVLTS"),
    IVXBTS("IVXBTS"),
    GLISTPQ("GLISTPQ"),
    GLISTTS("GLISTTS"),
    HXITCE("HXITCE"),
    HXITPQ("HXITPQ"),
    II("II"),
    INT("INT"),
    IVLINT("IVLINT"),
    SXCMINT("SXCMINT"),
    IVXBINT("IVXBINT"),
    IVLMO("IVLMO"),
    SXCMMO("SXCMMO"),
    MO("MO"),
    IVXBMO("IVXBMO"),
    IVLPPDTS("IVLPPDTS"),
    IVXBPPDTS("IVXBPPDTS"),
    IVLREAL("IVLREAL"),
    SXCMREAL("SXCMREAL"),
    REAL("REAL"),
    IVXBREAL("IVXBREAL"),
    ON("ON"),
    PIVLPPDTS("PIVLPPDTS"),
    PIVLTS("PIVLTS"),
    PN("PN"),
    RTO("RTO"),
    RTOQTYQTY("RTOQTYQTY"),
    RTOMOPQ("RTOMOPQ"),
    RTOPQPQ("RTOPQPQ"),
    SC("SC"),
    SLISTPQ("SLISTPQ"),
    SLISTTS("SLISTTS"),
    SXCMCD("SXCMCD"),
    SXPRTS("SXPRTS"),
    TN("TN"),
    UVPTS("UVPTS");
    private final String value;

    CDAType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static CDAType fromValue(String v) {
        for (CDAType c: CDAType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
